import LethalFantasyItemSheet from "./base-item-sheet.mjs"

export default class LethalFantasyVulnerabilitySheet extends LethalFantasyItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["vulnerability"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["vulnerability-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-lethal-fantasy/templates/vulnerability.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await TextEditor.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
